Cantera 2.6.0

Namespaces | Functions
funcs.cpp File Reference

file containing miscellaneous numerical functions. More...

`#include "cantera/numerics/funcs.h"`
`#include "cantera/numerics/polyfit.h"`
`#include "cantera/base/ctexceptions.h"`
Include dependency graph for funcs.cpp:

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
doublereal | linearInterp (doublereal x, const vector_fp &xpts, const vector_fp &fpts)
| Linearly interpolate a function defined on a discrete grid. More...
double | trapezoidal (const Eigen::ArrayXd &f, const Eigen::ArrayXd &x)
| Numerical integration of a function using the trapezoidal rule. More...
double | basicSimpson (const Eigen::ArrayXd &f, const Eigen::ArrayXd &x)
| Numerical integration of a function using Simpson's rule. More...
double | simpson (const Eigen::ArrayXd &f, const Eigen::ArrayXd &x)
| Numerical integration of a function using Simpson's rule with flexibility of taking odd and even number of points. More...
double | numericalQuadrature (const std::string &method, const Eigen::ArrayXd &f, const Eigen::ArrayXd &x)
| Numerical integration of a function. More...

## Detailed Description

file containing miscellaneous numerical functions.

Definition in file funcs.cpp.